/*
 * Class WEL_TVIF_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_325 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_325 [] = {0xFF01,1551,324,0xFFFF};
static const EIF_TYPE_INDEX egt_2_325 [] = {0xFF01,324,0xFFFF};
static const EIF_TYPE_INDEX egt_3_325 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_325 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_325 [] = {0xFF01,324,0xFFFF};
static const EIF_TYPE_INDEX egt_6_325 [] = {0xFF01,324,0xFFFF};
static const EIF_TYPE_INDEX egt_7_325 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_325 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_325 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_325 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_325 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_325 [] = {0xFF01,324,0xFFFF};


static const struct desc_info desc_325[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_325), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_325), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_325), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_325), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_325), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_325), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_325), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_325), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_325), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_325), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_325), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_325), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0289 /*324*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_325), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6230, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6231, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6232, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6233, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6234, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6235, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6236, 0xFFFFFFFF},
};
void Init325(void)
{
	IDSC(desc_325, 0, 324);
	IDSC(desc_325 + 1, 1, 324);
	IDSC(desc_325 + 32, 1625, 324);
}


#ifdef __cplusplus
}
#endif
